// =============================================================================
// Font Face
// =============================================================================

@mixin font-face(
  $name,
  $path,
  $weight: null,
  $style: null,
  $exts: eot woff2 woff ttf svg
) {
  $src: null;

  $extmods: (
    eot: "?",
    svg: "#" + str-replace($name, " ", "_")
  );

  $formats: (
    otf: "opentype",
    ttf: "truetype"
  );

  @each $ext in $exts {
    $extmod: if(
      map-has-key($extmods, $ext),
      $ext + map-get($extmods, $ext),
      $ext
    );
    $format: if(map-has-key($formats, $ext), map-get($formats, $ext), $ext);
    $src: append(
      $src,
      url(quote($path + "." + $extmod)) format(quote($format)),
      comma
    );
  }

  @font-face {
    font-family: quote($name);
    font-style: $style;
    font-weight: $weight;
    src: $src;
  }
}

@mixin logoBar {
  max-width: 100vw;
  height: 45px;
  background-color: $logoBgColor;
  font-size: 1.4em;
}

@mixin logoBrand {
  font-size: 26px;
  letter-spacing: -1px;
  line-height: 25px;
  color: $logoColor;

  font-family: "Lato", sans-serif;

  font-weight: 500;
}

@mixin navMarket {
  width: 20px;
  height: 20px;
  border-radius: 4px;
  margin-left: 0.25em;
  padding: 10px 12px !important;
}

@mixin navLetter {
  font-size: 12px;
  line-height: 25px;
  color: $navBg;
  font-family: "Lato", sans-serif;
  font-weight: bold;
}

@mixin navRect {
  width: 86px;
  height: 60px;
  box-shadow: $navBox;
}

@mixin navMenuLink {
  font-size: 16px;
  letter-spacing: 0px;
  line-height: 25px;
  color: $logoBgColor;
  font-family: "Lato", sans-serif;
}

@mixin contentTitle {
  font-size: 40px;
  line-height: 40px;
  color: $contentLetter;
  font-family: "Lato", sans-serif;
  font-weight: 300;
}

@mixin contentDesc {
  font-size: 20px;
  line-height: 25px;
  color: $contentLetter;
  font-family: "Lato", sans-serif;
  font-weight: 300;
}

@mixin contentMenuOptions {
  padding: 5px;
  background-color: $boxContent;
}

@mixin slideLetterActive {
  width: 180px;
  font-size: 18px;
  letter-spacing: 0px;
  line-height: 25px;
  color: $navBg;
  font-family: "Lato", sans-serif;
  text-align: center;
}

@mixin slideLetterPattern {
  width: 180px;
  font-size: 18px;
  letter-spacing: 0px;
  line-height: 25px;
  color: $navBgOpacity;
  font-family: "Lato", sans-serif;
  text-align: center;
}

@mixin slideLetterSmallActive {
  padding-right: 1.6em !important;
  padding-left: 1.6em !important;
  font-size: 12px;
  letter-spacing: 0px;
  line-height: 25px;
  color: $navFavoriteStar;
  font-family: "Lato", sans-serif;
  text-align: center;
}

@mixin slideLetterSmallPattern {
  padding-right: 1.6em !important;
  padding-left: 1.6em !important;
  font-size: 12px;
  letter-spacing: 0px;
  line-height: 25px;
  color: $navFavoriteStarOpacity;
  font-family: "Lato", sans-serif;
  text-align: center;
}

@mixin specialDiv {
  width: 300px;
  height: 180px;
  background-color: $navBg;
}

@mixin letterSpecialSale {
  white-space: nowrap;
  margin: auto;
  font-size: 1.2rem;
  line-height: 60px;
  color: $navBg;
  font-family: "Lato", sans-serif;
  font-weight: 300;
  text-align: center;
}

@mixin btnShowAll {
  width: 100px;
  height: 30px;
  background-color: $productsBg;
  border: 1px solid $productsBtnShow;
}

@mixin titleProducts {
  font-size: 25px;
  line-height: 60px;
  color: $logoBgColor;
  font-family: "Lato", sans-serif;
  font-weight: 300;
}

@mixin textBtnProducts {
  font-size: 14px;
  letter-spacing: 0px;
  line-height: 25px;
  color: $productsBtnShow;
  font-family: "Lato", sans-serif;
  font-weight: bold;
  text-align: center;
}

@mixin productsDiv {
  width: 100%;
  height: 220px;
  text-align: center;
  background-color: $navBg;
}

@mixin productsDivTitle {
  width: 100%;
  height: 49px;
  border-top: 1px solid $kindGray;
  text-align: center;
  background-color: $navBg;
}

@mixin productsDescription {
  position: relative;
  padding-top: 7px;
  left: 30px;
  font-size: 18px;
  letter-spacing: 0px;
  line-height: 25px;
  color: $contentLetter;
  font-family: "Lato", sans-serif;
  text-align: center;
}

@mixin productsRect {
  width: 68px;
  height: 67px;
  font-size: 12px;
  line-height: 25px;
  color: $navBg;
  font-family: "Lato", sans-serif;
  font-weight: bold;
}

@mixin productsRectNumber {
  position: relative;
  bottom: 19px;
  left: 20px;
  font-size: 13px;
  line-height: 25px;
  color: $navBg;
  font-family: "Lato", sans-serif;
  font-weight: bold;
  background-color: $logoColor;
  @include productsRect;
}

@mixin productsAlignTop {
  display: flex;
  align-items: center;
  position: relative;
  top: -218px;
  left: 270px;
}

@mixin productsAddonSmall {
  width: 220px;
  height: 185px;
  background-color: $productsDiv;
}

@mixin productsAddonBig {
  width: 460px;
  height: 185px;
  background-color: $productsDiv;
}

@mixin productsAddonTitle {
  font-size: 14px;
  line-height: 60px;
  color: $logoBgColor;
  font-family: "Lato", sans-serif;
  font-weight: bold;
}

@mixin productsAddonDesc {
  font-size: 12px;
  line-height: 16px;
  color: $logoBgColor;
  font-family: "Lato", sans-serif;
}

@mixin productsAddonDescRect {
  display: flex;
  align-items: center;
  font-size: 11px;
  line-height: 12px;
  color: $navBg;
  font-family: "Lato", sans-serif;
  font-weight: bold;
  text-align: center;
  width: 36px;
  height: 36px;
  background-color: $logoColor;
}

@mixin productsAddonBlogDesc {
  height: 33px;
  font-size: 13px;
  line-height: 16px;
  color: $logoBgColor;
  font-family: "Lato", sans-serif;
}

@mixin footerTitle {
  height: 16px;
  font-size: 14px;
  line-height: 18px;
  color: $footerTitleColor;
  font-family: "Lato", sans-serif;
}

@mixin footerDesc {
  font-size: 12px;
  line-height: 18px;
  color: $footerDescColor;
  font-family: "Lato", sans-serif;
  font-style: italic;
  text-align: left;
}

@mixin footerDescMention {
  @include footerDesc;
  color: $logoColor !important;
}

@mixin footerDescDay {
  @include footerDesc;
  color: $footerDescDay !important;
}
